Loading...
Searching...
No Matches
seqan3::sequence_printer< sequence_t > Struct Template Reference
Core » Debug Stream

A printer for (biological) sequences. More...

`#include <seqan3/core/debug_stream/range.hpp>`

Inheritance diagram for seqan3::sequence_printer< sequence_t >:
[legend]

## Public Member Functions

template<typename stream_t, typename arg_t>
constexpr void | operator() (stream_t &stream, arg_t &&arg) const
| Prints the elements of a sequence to an output stream.

## Detailed Description

template<sequence sequence_t>
struct seqan3::sequence_printer< sequence_t >

A printer for (biological) sequences.

The (biological) sequence (except for ranges over unsigned integers) is printed just as if it were a string, i.e. std::vector<dna4>{'C'_dna4, 'G'_dna4, 'A'_dna4} is printed as "CGA".

Template Parameters

  sequence_t | The type of the sequence to be printed; must model seqan3::sequence.

## Member Function Documentation

## operator()()

template<sequence sequence_t>
template<typename stream_t, typename arg_t>

void seqan3::sequence_printer< sequence_t >::operator() | ( | stream_t & | stream,
|  | arg_t && | arg ) const

inline constexpr

Prints the elements of a sequence to an output stream.

Template Parameters

  stream_t | The type of the stream.
  arg_t | The type of the argument.

Parameters

  [in,out] | stream | The output stream to print to.
  [in] | arg | The sequence to be printed.

The documentation for this struct was generated from the following file:

- range.hpp

Hide me